from advanced_alchemy.repository import SQLAlchemyAsyncRepository
from sqlalchemy.ext.asyncio import AsyncSession

from ..models import UserModel


class UserRepository(SQLAlchemyAsyncRepository):
    model_type = UserModel


def provide_user_repository(db_session: AsyncSession) -> UserRepository:
    return UserRepository(session=db_session)
